' VBScript to Parse On Screen
'   lines starting with an apostrophe are comments

Public Const CONTINUOUSLINE2D = 19

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.9")

'   used for messages
Dim sz

'   Reset the on screen list with the new zoom:
'       When working with display and zoom related parsing 
'       methods, the items selection list needs to be reset 
'       prior to each parsing.  This ensures the current 
'       zoom, whether changed directly through code or from 
'       the user interface, is reflected in the on screen 
'       search.  The following code resets the screen list 
'       for the current zoom:

vcadd.ResetOnScreenList()

'   Parse the list:
'       The routines to parse the list coincide with standard 
'       methods of moving from the first item in the list to 
'       the next until the end of the list is reached.  The 
'       following code parses the new screen list:

'   setup a counter
Dim iCount
iCount = 0

'   start at the first selected entity
Dim iKind
iKind = vcadd.FirstOnScreen()

Do While (vcadd.GetErrorCode() = 0)
    '   your tool would do whatever processing is required
    '       for example, count the lines on screen
    If (iKind = CONTINUOUSLINE2D) Then
        iCount = iCount + 1
    End If

    iKind = vcadd.NextOnScreen()
Loop

sz = "Continuous line count: " + CStr(iCount)
MsgBox sz, vbInformation, "API Help Sample"

' release Visual CADD object
set vcadd = Nothing
