' VBScript to Place a Symbol
'   lines starting with an apostrophe are comments

' create Visual CADD and point objects
set vcadd = CreateObject("VisualCADD.Application.9")
set pt0 = CreateObject("VisualCADD.Point2D.9")

'   See the Loading A Symbol topic for details of the 
'   following to load a symbol in code.
Dim szFilename
Dim szInternal
szFilename = "C:\\Users\\Public\\Documents\\Visual CADD 8\\Symbols\\CedarTree.vcs"
szInternal = vcadd.GetSymbolInternalName(szFilename)
If (vcadd.IsSymbolLoaded(szInternal) = 0) Then
    vcadd.OpenVCS(szFilename)
End If

'   Place the symbol directly through code:
'       The symbol can be added to the drawing database or 
'       another symbol definition directly through code.  
'       This method requires the same steps presented in the 
'       Adding A Single Entity topic.  Once a symbol 
'       definition has been loaded, the symbol must be 
'       selected from the internal definition list.  Loaded 
'       symbols are available to all drawings within 
'       the drawing session and are referenced by an internal
'       name or index.  In order to place the symbol, it must 
'       be set as the currently active symbol definition.
' 
'   The following code sets the active symbol definition 
'   based on the internal name of an already loaded symbol 
'   and places it at the point (12, 24) in inches.

pt0.x = 12.0
pt0.y = 24.0

vcadd.SetSymName(szInternal)
vcadd.AddSymbolEntity -1, pt0

'   Optional:  Draw the symbol.  See the Adding A Single 
'   Entity topic for details of the following to draw the 
'   last entity.
hEnt = vcadd.LastEntity()
vcadd.SetCurrentEntity(hEnt)
vcadd.DrawCurrentEntity()
    
'   Optional: Place the symbol using a tool command:
'       The API provides several options when placing a 
'       symbol through code.  If the application requires 
'       user input for the placement point then VCSymbolPlace 
'       can be used.  This routine initiates a tool in the 
'       drawing interface and immediately allows the user to 
'       begin dragging the symbol to the desired location.  
'       Visual CADD handles all rubberbanding and preview 
'       events in this case.
'       
'   The following code initiates the symbol placement tool 
'   and allows the user to select the placement point:

vcadd.SymbolPlace(szInternal)

' release Visual CADD and point objects
set vcadd = Nothing
set pt0 = Nothing
