' VBScript to Retrieve Attributes
'   lines starting with an apostrophe are comments

Public Const SYMBOL2D = 7

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.9")

'   used for messages
Dim sz
Dim szLabel 
Dim szValue 

'   parse through the entire database:
'   start at the first entity
Dim iKind 
iKind = vcadd.FirstEntity()

'   loop through entities
Do While (vcadd.GetErrorCode() = 0)

    '   process only symbols
    If (iKind = SYMBOL2D) Then
        '   Retrieve the number of attribute definitions 
        '   attached:
        '       A symbol can have an unlimited number of 
        '       attributes attached.  These attribute 
        '       definitions contain labels and values 
        '       defining the definition.  This step should be
        '       used to determine the number so a proper loop 
        '       can be set up to parse through all the 
        '       attributes.  The following code retrieves the 
        '       number of attributes and sets up a loop 
        '       structure to begin parsing the attributes:

        Dim iAtbCount
        iAtbCount = vcadd.GetCurEntAtbCount()

        For iAtbIndex = 0 To iAtbCount - 1

            '   Retrieve the number of labels in the current 
            '   attribute definition:
            '       Similar to the step above but this sets 
            '       up a loop structure for parsing the 
            '       current attribute.  The following example 
            '       sets up a loop structure to parse the 
            '       current attribute definition:

            Dim iRecCount
            iRecCount = vcadd.GetCurEntAtbRecCount(iAtbIndex)

            '   Retrieve the label from the definition:
            '       Once inside the attribute definition, 
            '       the program can then retrieve the 
            '       label and value.  The label 
            '       represents the name or tag for the 
            '       attribute.  For example, if the 
            '       attribute read MANUFACTURER: TRITOOLS 
            '       then MANUFACTURER represents the 
            '       label and TRITOOLS represents the 
            '       value.  The following code retrieves 
            '       the label and value at the current 
            '       loop index:

            For iRecIndex = 0 To iRecCount - 1

                szLabel = vcadd.GetCurEntAtbRecLabel(iAtbIndex, iRecIndex)
                szValue = vcadd.GetCurEntAtbRecValue(iAtbIndex, iRecIndex)

                sz = "Label: " + szLabel + "  Value: " + szValue
                MsgBox sz, vbInformation, "API Help Sample"
            Next
        Next
    End If

    vcadd.NextEntity()
Loop

' release Visual CADD object
set vcadd = Nothing
