' VBScript to Retrieve Attributes
'   lines starting with an apostrophe are comments

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.9")

'   Retrieve the symbol definition count:
'       Symbol definitions are loaded into the drawing 
'       session as new drawings are loaded or by specific 
'       commands to load them.  The following code retrieves 
'       a count for the number of currently loaded symbol 
'       definitions:

iLoadedCount = vcadd.GetSymbolDefCount()

'   Parse the symbol definitions and retrieve the placement 
'   count:
'       After retrieving the number of definitions loaded in 
'       the session, an application can then simply move 
'       through the list and get the necessary information.  
'       The following code parses the symbol definitions and 
'       retrieves the name and number of placements for each 
'       definition.

For iIndex = 0 To iLoadedCount - 1
    szSymName = vcadd.GetSymbolName(iIndex)

    iPlacedCount = vcadd.GetSymbolPlacementCount(iIndex)

    sz = "Symbol Index: " + CStr(iIndex) + vbLf
    sz = sz + "Name: " + szSymName + vbLf
    sz = sz + "Placed: " + CStr(iPlacedCount) + " time(s)"
    MsgBox sz, vbInformation, "API Help Sample"
Next

' release Visual CADD object
set vcadd = Nothing
