' VBScript to Check Version
'   lines starting with an apostrophe are comments

' create Visual CADD object
set vcadd = CreateObject("VisualCADD.Application.9")

'   used for messages
Dim sz

'   Check the version numbers:
'       If your application requires a certain Visual CADD 
'       version, use the following code to retrieve the 
'       version numbers for error checking:

Dim iMajor
Dim iMinor
Dim iDot
Dim iInternal
Dim iFull
Dim iTarget

'   get the version numbers
iMajor = vcadd.GetMajorVersion()
iMinor = vcadd.GetMinorVersion()
iDot = vcadd.GetMinorDotVersion()
iInternal = vcadd.GetMinorInternalVersion()

sz = "Visual CADD Version: "
sz = sz + CStr(iMajor)
sz = sz + "." + CStr(iMinor)
sz = sz + "." + CStr(iDot)
sz = sz + "." + CStr(iInternal)

'   get the full version packed as major/minor/dot/internal
iFull = CLng(vcadd.GetFullVersion())
iTarget = &H7000000  '   packed 7.0.0.0

If (iFull >= iTarget) Then
    sz = sz + vbLf + "Version is v7.0.0 or higher"
    MsgBox sz, vbInformation, "API Help Sample"
Else
    sz = sz + vbLf + "Version is less than v7.0.0"
    MsgBox sz, vbExclamation, "API Help Sample"

    '   Optional - stop tool from running
End If

' release Visual CADD object
set vcadd = Nothing
